com.hazelcast.cache

## Interface BackupAwareEntryProcessor<K,V,T>

- Type Parameters:
    `K` - the type of keys maintained by this cache
    `V` - the type of cached values
    `T` - the type of the return value
  All Superinterfaces:
    javax.cache.processor.EntryProcessor<K,V,T>

      public interface BackupAwareEntryProcessor<K,V,T>
      extends javax.cache.processor.EntryProcessor<K,V,T>

  An invocable function that allows applications to perform compound operations on a `Cache.Entry` atomically, according to the defined consistency of a `Cache`.

  The difference from the normal `EntryProcessor` implementations, where a backup is done sending the completely changed resulting object to the backup-partition, is that implementations of this sub-interface can create additional `EntryProcessor` instances that are sent to the backup partitions to apply logic which is either different from the owner partition (e.g. not sending emails) or is the simple case of being similar to the main operations. In the later case `createBackupEntryProcessor()` can also return

      this

  .
  Since:
    3.4
  See Also:
    `EntryProcessor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.cache.processor.EntryProcessor<K,V,T>` | `createBackupEntryProcessor()` Either creates a new, specialized `EntryProcessor` to be executed on the backup-partition, or returns

    - ### Methods inherited from interface javax.cache.processor.EntryProcessor

      `process`

- - ### Method Detail

    - #### createBackupEntryProcessor

          javax.cache.processor.EntryProcessor<K,V,T> createBackupEntryProcessor()

      Either creates a new, specialized `EntryProcessor` to be executed on the backup-partition, or returns

          this

      to execute the same processor remotely.

      If null is returned, the value is backed up using the normal value backup mechanism, no exception is thrown, and the update is applied as expected.

      Returns:
        the backup-partition EntryProcessor

Copyright © 2019. All rights reserved.